cl_object_names {clue} | R Documentation

## Find Object Names

### Description

Find the names of the objects from which a taxonomy (partition or hierarchy) or proximity was obtained.

### Usage

    cl_object_names(x)

### Arguments

`x` | an R object representing a taxonomy or proximity.

### Details

This is a generic function.

The methods provided in package clue handle the partitions and hierarchies obtained from clustering functions in the base R distribution, as well as packages RWeka, ape, cba, cclust, cluster, e1071, flexclust, flexmix, kernlab, mclust, movMF and skmeans (and of course, clue itself), in as much as possible.

There is also a method for object dissimilarities which inherit from class `"dist"`.

### Value

A character vector of length `n_of_objects(x)` in case the names of the objects could be determined, or `NULL`.

[Package clue version 0.3-57 Index]